If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | Test timed out

VERIFIED FIXED in seamonkey2.10

Status

SeaMonkey
UI Design
--
major
VERIFIED FIXED
6 years ago
6 years ago

People

(Reporter: Philip Chee, Assigned: Philip Chee)

Tracking

(Blocks: 1 bug)

Trunk
seamonkey2.10
Dependency tree / graph
Bug Flags:
in-testsuite +

SeaMonkey Tracking Flags

(seamonkey2.7 wontfix, seamonkey2.8 verified, seamonkey2.9 verified)

Details

(Whiteboard: [perma-orange])

Attachments

(1 attachment)

(Assignee)

Description

6 years ago
Oh dearie me! I forgot to port the test changes when I did Bug 667201 (Front end changes for Bug 545070: plugin-problem UI shouldn't say "click here").
(Assignee)

Comment 1

6 years ago
Created attachment 594667 [details] [diff] [review]
Patch v1.0 Fix test.

Before patch:

> mochitest-browser-chrome failed:
> TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | Test timed out
> TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | Found a tab after previous test timed out: chrome://mochitests/content/browser/suite/browser/test/plugin_test.html
> TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | an unexpected uncaught JS exception reported through window.onerror - executeSoon is not defined at chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js:92

After patch:

> INFO TEST-START | Shutdown
> Browser Chrome Test Summary
>         Passed: 450
>         Failed: 0
>         Todo: 3
> 
> *** End BrowserChrome Test Results ***
Attachment #594667 - Flags: review?
Attachment #594667 - Flags: feedback?(sgautherie.bz)
(Assignee)

Comment 2

6 years ago
Comment on attachment 594667 [details] [diff] [review]
Patch v1.0 Fix test.

Bah silly bugzilla. Hope r?=IanN works this time.
Attachment #594667 - Flags: review? → review?(iann_bugzilla)

Comment 3

6 years ago
Comment on attachment 594667 [details] [diff] [review]
Patch v1.0 Fix test.

r=me assuming serge gives positive feedback
Attachment #594667 - Flags: review?(iann_bugzilla) → review+
Depends on: 545070
Comment on attachment 594667 [details] [diff] [review]
Patch v1.0 Fix test.

Review of attachment 594667 [details] [diff] [review]:
-----------------------------------------------------------------

Sure, trivial copy+paste :-)

While here, in browser_pluginnotification.js, could you try+update
-  var tags = ph.getPluginTags({});
+  var tags = ph.getPluginTags();
too, which should be enough for SM too.
Attachment #594667 - Flags: feedback?(sgautherie.bz) → feedback+
(Assignee)

Comment 5

6 years ago
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/5ab177f7e555
Status: ASSIGNED → RESOLVED
Last Resolved: 6 years ago
status-seamonkey2.10: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → seamonkey2.10
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1328632854.1328639066.12467.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2012/02/07 08:40:54
{
INFO TEST-END | chrome://mochitests/content/browser/suite/browser/test/browser_pluginnotification.js | finished in 8432ms
}

V.Fixed.
Blocks: 452942
Severity: normal → major
Status: RESOLVED → VERIFIED
status-seamonkey2.10: fixed → ---
status-seamonkey2.7: --- → wontfix
status-seamonkey2.8: --- → affected
status-seamonkey2.9: --- → affected
Flags: in-testsuite+
Whiteboard: [perma-orange]
Comment on attachment 594667 [details] [diff] [review]
Patch v1.0 Fix test.

"approval-comm-aurora=?":
"approval-comm-beta=?":
Test-only, no risk.
Fixes a (30s) timeout, and possibly other tests.
Attachment #594667 - Flags: approval-comm-beta?
Attachment #594667 - Flags: approval-comm-aurora?

Updated

6 years ago
Attachment #594667 - Flags: approval-comm-beta?
Attachment #594667 - Flags: approval-comm-beta+
Attachment #594667 - Flags: approval-comm-aurora?
Attachment #594667 - Flags: approval-comm-aurora+
http://hg.mozilla.org/releases/comm-beta/rev/cbb86a50dfca
status-seamonkey2.8: affected → fixed
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1331186022.1331189779.1265.gz
OS X 10.5 comm-beta debug test mochitest-other on 2012/03/07 21:53:42

seamonkey2.8: verified.

***

Philip, can you push to c-a?
status-seamonkey2.8: fixed → verified
(Assignee)

Comment 10

6 years ago
Pushed to comm-aurora:
http://hg.mozilla.org/releases/comm-aurora/rev/2da24b86b1fb
status-seamonkey2.9: affected → fixed
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1331290603.1331295719.18112.gz
OS X 10.6 comm-aurora debug test mochitest-other on 2012/03/09 02:56:43

seamonkey2.9: verified.
status-seamonkey2.9: fixed → verified
You need to log in before you can comment on or make changes to this bug.